<?php

class Ficha extends Controller
{
    protected $_fechaActual;
    protected $_iduser;
    protected $_csstyle;
    protected $_tables;
    protected $_Variables;

    protected $_role;

    function __construct(){

     parent::controller();

	if( ! $this->redux_auth->logged_in() ){//verificar si el el usuario ha iniciado sesion
 			redirect(base_url().'login');
 	}
        $datestring   = "%Y-%m-%d %H:%i:%s";
		$this->_fechaActual = mdate($datestring,now());

         $this->_iduser = $this->session->userdata('id');
         $this->_role = $this->session->userdata('role');

         $this->config->load('datatables', TRUE);
         $this->_tables = $this->config->item('datatables');

         $this->config->load('style', TRUE);
         $this->_csstyle = $this->config->item('style');

        $this->config->load('js',TRUE);
        $this->_jss=$this->config->item('js');

        $this->load->model("modelousuario","modelousuario");
        $this->load->model("modeloclientes","modeloclientes");

        $this->load->model("inventario_model","modeloinventario");
        $this->load->model("modelodocumento","modelodocumento");

        $this->load->model('bancos_model','modelobancos');
        $this->load->model('proveedores_model','modeloproveedores');

        $this->load->model("modelo_configuracion","configuracion");
        $this->_Variables=$this->configuracion->getAllVariables();


  }//construct


	public function contactos($Idc)
	{
		$Data['title']= "Panel de Administración";
		$Data['cassadmin']=$this->_csstyle["cassadmin"];
		$Data['csmenu']=$this->_csstyle["csmenu"];
		
		$Data['csui']=$this->_csstyle["csui"];
		////$Data['csuidemo']=$this->_csstyle["csuidemo"];
		
		$Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']=$this->_fechaActual;
		
		$Data['Jry']=$this->_jss['jquery'];
		$Data['Jqui']=$this->_jss['jqueryui'];
		$Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
		$Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		$Conte['Categoria']=$this->uri->segment(1);
		
		$Datos=$this->modeloclientes->getNameCliente($Idc);
		
		$Conte["dclientes"]=$this->modeloclientes->getNameCliente($Idc);
		$Conte["ListaContactos"]=$this->modeloclientes->getContactosCliente($Idc);
		$Conte["IDC"]=$Idc;
		
		$this->load->view("clientes/ficha/contactos",$Conte);
		
		$this->load->view("pie",$Data);
	}//Fin de contactos
//Contactos del cliente


	public function cotizacion($Idc)
	{
		$Data['title']= "Panel de Administración";
		$Data['cassadmin']=$this->_csstyle["cassadmin"];
		$Data['csmenu']=$this->_csstyle["csmenu"];
		
		$Data['csui']=$this->_csstyle["csui"];
		////$Data['csuidemo']=$this->_csstyle["csuidemo"];
		$Data['csvalidate']=$this->_csstyle["csvalidate"];
		$Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']=$this->_fechaActual;
		$Data['Jry']=$this->_jss['jquery'];
		$Data['Jqui']=$this->_jss['jqueryui'];
		$Data['Jquical']=$this->_jss['jquerycal'];
		$Data['jvalidate']=$this->_jss['jvalidate'];
		$Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
		$Data['jFicha_cotiza']=$this->_jss['jFicha_cotiza'];
		$Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		$Conte['Categoria']=$this->uri->segment(1);
		
		$Datos=$this->modeloclientes->getNameCliente($Idc);
		
		$Conte["Serie"]=$this->modeloinventario->getSerie($Data['nameusuario'],$Idc);
		$Conte["idCotizacion"]=$this->modeloinventario->obtenerId();
		
		//if($Conte["dclientes"]=$this->modeloclientes->getNameCliente($Idc)!=NULL)
		//{
			//$Conte["dclientes"]='SC';
		//}
		$Conte["dclientes"]=$this->modeloclientes->getNameCliente($Idc);
		$Conte["clientes"]=$this->modeloclientes->obtenerClientesZona(10);
		$Conte["cliente_usuario"]=$this->modeloclientes->cliente_usuario($Idc);
		$Conte["zonas"]=$this->configuracion->obtenerZonas($Idc);
		
		$Conte["IDC"]=$Idc;
		
		$Conte["IVA"]=$this->_Variables[0]['iva'];
		
		$this->load->view("clientes/ficha/addCotiza",$Conte);
		
		$this->load->view("pie",$Data);
	}//Cotizacion

function StatusCotizacion(){

  if (!empty($_POST)){

      if($this->modeloinventario->getStatusCotiza($this->input->post('TIdct'))!=NULL){
          print("1");
      }//IF
     else{
        print("0");
     }//else
    }//Existen datos...
   else{
       print("0");
   }
}//StatusCotizacion

//****** Lista y paginacion de productos ++++


	public function listaproductos($Limite=0)
	{
		// First Links
		$Pag['first_link'] = 'Inicio';
		$Pag['first_tag_open'] = '<li>';
		$Pag['first_tag_close'] = '</li>';
		
		// Last Links
		$Pag['last_link'] = 'Fin';
		$Pag['last_tag_open'] = '<li>';
		$Pag['last_tag_close'] = '</li>';
		
		// Next Link
		$Pag['next_link'] = '&raquo;';
		$Pag['next_tag_open'] = '<li>';
		$Pag['next_tag_close'] = '</li>';
		
		// Previous Link
		$Pag['prev_link'] = '&laquo;';
		$Pag['prev_tag_open'] = '<li>';
		$Pag['prev_tag_close'] = '</li>';
		
		// Current Link
		$Pag['cur_tag_open'] = '<li class="active">';
		$Pag['cur_tag_close'] = '</li>';
		
		// Digit Link
		$Pag['num_tag_open'] = '<li>';
		$Pag['num_tag_close'] = '</li>';
		
		if(!empty ($_POST))
		{
			if($this->input->post('T1')=="all")
			{
				$Pag["base_url"]= base_url()."ficha/listaproductos";
				$Pag["total_rows"]=$this->modeloinventario->coutproducto();//Total de Registros
				$Pag["per_page"]=50;
				$Pag["num_links"]=5;
				
				$this->pagination->initialize($Pag);
				
				$Datos['Registros'] = $this->modeloinventario->get_AllPag($Pag["per_page"],$Limite);
				
				$Datos['inicio']  = $Limite;
				$num_r = count($Datos['Registros']);
				$Datos['per_page']= $num_r;
				
				$Datos["Serie"]=$this->input->post('serie');
				
			}//Muestra todos de la lista
			else
			if($this->input->post('T1')=="pag")
			{
				$Pag["base_url"]= base_url()."ficha/listaproductos";
				$Pag["total_rows"]=$this->modeloinventario->coutproducto();//Total de Registros
				$Pag["per_page"]=50;
				$Pag["num_links"]=5;
				
				$this->pagination->initialize($Pag);
				
				$Datos['Registros'] = $this->modeloinventario->get_AllPag($Pag["per_page"],$Limite);
				
				$Datos['inicio']  = $Limite;
				$num_r = count($Datos['Registros']);
				$Datos['per_page']= $num_r;
				
				$Datos["Serie"]=$this->input->post('serie');
			}//Pag
		}//Fin del POST
		$this->load->view("clientes/ficha/paginacion",$Datos);
	}//Termina listaproductos


// addSeleccionado

public function addSeleccionado(){

if(!empty($_POST)){

      $ListProductos["Productos"]=$this->modeloinventario->AddProductosCotiza();
             $ListProductos['IV']="0.15";
            $ListProductos['DTC']="0.0";
         $ListProductos['Cargos']="0.0";

 $this->load->view("clientes/ficha/listaproductos",$ListProductos);

 }//If POST
//
//******
}//addSeleccionado



public function DeleteProductos(){

  if(!empty($_POST)){

      if($this->modeloinventario->deleteDatosProductosCotiza($this->input->post('Idp'),$this->input->post('serie'))==TRUE){
          $ListProductos["Productos"]=$this->modeloinventario->getDatosProductosCotiza($this->input->post('serie'));
                 $ListProductos['IV']=$this->input->post('IV');
                $ListProductos['DTC']=$this->input->post('DTC');
             $ListProductos['Cargos']=$this->input->post('Cargos');
      }//if
  }//empty _POST

$this->load->view("clientes/ficha/listaproductos",$ListProductos);

}//DeleteProductosFtosDesc


//***** Guardar la Cotizacion ***************************************************


	public function saveNewCotizar()
	{
		if(!empty($_POST))
		{
			if($this->modeloinventario->addNuevaCotiza() != NULL)
			{
				$this->session->set_flashdata('message', 
				array('messageType' => 'success','Message' => 'Se registro correctamente la cotización'));
			}
			else
			{
				$this->session->set_flashdata('message',
				 array('messageType' => 'error','Message' => 'Ocurrio un error al guardar la cotización'));
			}//else
				
				//redirect('clientes/ficha/'.$this->input->post('id_cli')."/", 'refresh');
				  redirect('ficha/cotizacion/zz', 'refresh');
		}//$_POST
		else 
		{
			redirect('clientes/', 'refresh');
		}//else
	}//SaveNewCotizar




public function editcotiza($Idct){

     $Data['title']= "Panel de Administración";
 $Data['cassadmin']=$this->_csstyle["cassadmin"];
    $Data['csmenu']=$this->_csstyle["csmenu"];

	  $Data['csui']=$this->_csstyle["csui"];
      //$Data['csuidemo']=$this->_csstyle["csuidemo"];

    $Data['csvalidate']=$this->_csstyle["csvalidate"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

            $Data['Jry']=$this->_jss['jquery'];
           $Data['Jqui']=$this->_jss['jqueryui'];
        $Data['Jquical']=$this->_jss['jquerycal'];

      $Data['jvalidate']=$this->_jss['jvalidate'];

 $Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
  $Data['jFicha_cotiza']=$this->_jss['jFicha_cotiza'];
  $Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));


       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

      $Conte['Categoria']=$this->uri->segment(1);

   $Conte["Cotizaciones"]=$this->modeloclientes->getByCotizacionAndDetallesVenta($Idct);
            $Cotizaciones=$Conte["Cotizaciones"];

          $Conte["Serie"]=$Cotizaciones["serie"];

                   $Datos=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
      $Conte["dclientes"]=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
            $Conte["IDC"]=$Cotizaciones["Id_cliente"];

            $Conte["IVA"]=$Cotizaciones['iva'];
     $Conte["Descuentos"]=$Cotizaciones['descuentos'];

     $Conte["Productos"]=$this->modeloinventario->getDatosProductosCotiza($Cotizaciones['serie']);
   $Conte["NoProductos"]=$this->modeloinventario->getDatosProductosCotizaCout($Cotizaciones['serie']);


  $this->load->view("clientes/ficha/EditarCotiza",$Conte);

  $this->load->view("pie",$Data);


}//Editar Cotizacion...

public function saveEditarCotizar(){

if(!empty($_POST)){
//echo $this->input->post('Contador_init');
  if($this->modeloinventario->EditarCotizacion() != NULL){
      $this->session->set_flashdata('message', array('messageType' => 'success','Message' => 'Se modifico correctamente la cotizaci&oacute;n.'));
   }else{
      $this->session->set_flashdata('message', array('messageType' => 'error','Message' => 'Ocurrio un error al modificar la cotización'));
    }//else
  redirect('clientes/ficha/'.$this->input->post('id_cli')."/", 'refresh');

 }//$_POST
 else {
  redirect('clientes/', 'refresh');
 }//else

}//SaveEditarCotizacion


public function DeleteCotizacion(){

    if(!empty($_POST)){
        $Idct=$this->input->post('Idct');
      if($this->modeloinventario->DeleteCotizacion($Idct)!=NULL){
          print("1");
      }//Eliminar
     else{
         print("0");
     } //else de deletecotizacion
    }//POST
   else{
    print("0");
   }//
}//Termina para eliminar cotizacion

public function NOdernTrabajo(){

	if(!empty($_POST)){

		$No=$this->input->post('No');
  	  $Idct=$this->input->post('Idct');

	 if($this->modeloinventario->AddNoOrdenTrabajo($No,$Idct)!=NULL){
          print("1");
      }//Eliminar
     else{
         print("0");
     } //else de deletecotizacion
    }//POST
   else{
    print("0");
   }//
}//NOdernTrabajo
//**********************************************************
//**********************************************************
//************** Termina Orden de Compra para Editar *******

//Metodo para seleccionar los productos y proveedores para realizar el pedido al proveedor

public function editarpre($Idct){

     $Data['title']= "Panel de Administración";
 $Data['cassadmin']=$this->_csstyle["cassadmin"];
    $Data['csmenu']=$this->_csstyle["csmenu"];

	  $Data['csui']=$this->_csstyle["csui"];
      //$Data['csuidemo']=$this->_csstyle["csuidemo"];

    $Data['csvalidate']=$this->_csstyle["csvalidate"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

            $Data['Jry']=$this->_jss['jquery'];
           $Data['Jqui']=$this->_jss['jqueryui'];
        $Data['Jquical']=$this->_jss['jquerycal'];

       $Data['jvalidate']=$this->_jss['jvalidate'];
  $Data['jFicha_editPre']=$this->_jss['jFicha_editPre'];//Funciones principales de Editar Pre Pedidos
  $Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));


       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

      $Conte['Categoria']=$this->uri->segment(1);

   $Conte["Cotizaciones"]=$this->modeloclientes->getByCotizacionAndDetallesVentaOrden($Idct);//Selecciona la cotizacion que esta convertida a venta
            $Cotizaciones=$Conte["Cotizaciones"];

          $Conte["Serie"]=$Cotizaciones["serie"];
  $Conte["EmpresaPropia"]=$this->_Variables[0]["nombre_empresa"];

                   $Datos=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
      $Conte["dclientes"]=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
            $Conte["IDC"]=$Cotizaciones["Id_cliente"];

            $Conte["IVA"]=$Cotizaciones['iva'];
     $Conte["Descuentos"]=$Cotizaciones['descuentos'];

     $Conte["Productos"]=$this->modeloinventario->getDatosProductosCotiza($Cotizaciones['serie']);
   $Conte["NoProductos"]=$this->modeloinventario->getDatosProductosCotizaCout($Cotizaciones['serie']);


  $this->load->view("clientes/ficha/EditarPrePedido",$Conte);

  $this->load->view("pie",$Data);


}//Editar precotización generarpedidopdf

public function NOdernPedido(){

	if(!empty($_POST)){

	    $No=$this->input->post('No');
  	  $Idct=$this->input->post('Idct');

	 if($this->modeloinventario->AddNoOrdenPedido($No,$Idct)!=NULL){
          print("1");
      }//Eliminar
     else{
         print("0");
     } //else de deletecotizacion
    }//POST
   else{
    print("0");
   }//
}//NOdernTrabajo

public function generarpedidopdf(){

if(!empty($_POST)){

  if($this->modeloinventario-> generarpedidopdf() != NULL){
      $this->session->set_flashdata('message', array('messageType' => 'success','Message' => 'Se modifico correctamente el orden de pedido.'));
   }else{
      $this->session->set_flashdata('message', array('messageType' => 'error','Message' => 'Ocurrio un error al modificar el orden de pedido'));
    }//else
  redirect('clientes/ficha/'.$this->input->post('id_cli')."/", 'refresh');

 }//$_POST
 else {
  redirect('clientes/', 'refresh');
 }//else

}//Generar pedido PDF

public function editarpedido($Idct,$Existe){

     $Data['title']= "Panel de Administración";
 $Data['cassadmin']=$this->_csstyle["cassadmin"];
    $Data['csmenu']=$this->_csstyle["csmenu"];

	  $Data['csui']=$this->_csstyle["csui"];
      //$Data['csuidemo']=$this->_csstyle["csuidemo"];

    $Data['csvalidate']=$this->_csstyle["csvalidate"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

            $Data['Jry']=$this->_jss['jquery'];
           $Data['Jqui']=$this->_jss['jqueryui'];
        $Data['Jquical']=$this->_jss['jquerycal'];
$Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));
      $Data['jvalidate']=$this->_jss['jvalidate'];

 $Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
 $Data['jFicha_editPre']=$this->_jss['jFicha_editPre'];//Funciones principales de Editar Pre Pedidos
 $Data['jFicha_pedidos']=$this->_jss['jFicha_pedidos'];


       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

      $Conte['Categoria']=$this->uri->segment(1);

   $Conte["Cotizaciones"]=$this->modeloclientes->getByCotizacionAndDetallesPedidoOrden($Idct);
            $Cotizaciones=$Conte["Cotizaciones"];

  $Conte["EmpresaPropia"]=$this->_Variables[0]["nombre_empresa"];

          $Conte["Serie"]=$Cotizaciones["serie"];
         $Conte["Existe"]=$Existe;

                   $Datos=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
      $Conte["dclientes"]=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
            $Conte["IDC"]=$Cotizaciones["Id_cliente"];

            $Conte["IVA"]=$Cotizaciones['iva'];
     $Conte["Descuentos"]=$Cotizaciones['descuentos'];

     $Conte["Productos"]=$this->modeloinventario->getDatosProductosPedidos($Cotizaciones['serie']);
   $Conte["NoProductos"]=$this->modeloinventario->getDatosProductosPedidosCout($Cotizaciones['serie']);


  $this->load->view("clientes/ficha/editarpedido",$Conte);

  $this->load->view("pie",$Data);

}

public function SetPedidosEditarProductos(){

if(!empty($_POST)){

    if($this->modeloinventario->SetPedidosEditarProductos() != NULL){
      $this->session->set_flashdata('message', array('messageType' => 'success','Message' => 'Se modifico correctamente el pedido'));
   }else{
      $this->session->set_flashdata('message', array('messageType' => 'error','Message' => 'Error al modificar correctamente el pedido'));
    }//else
  redirect('clientes/ficha/'.$this->input->post('id_cli')."/", 'refresh');

 }//$_POST
 else {
  redirect('clientes/', 'refresh');
 }//else

}//SetPedidosEditarProductos


public function detallespedido($Idct,$Existe){

     $Data['title']= "Panel de Administración";
 $Data['cassadmin']=$this->_csstyle["cassadmin"];
    $Data['csmenu']=$this->_csstyle["csmenu"];

	  $Data['csui']=$this->_csstyle["csui"];
      //$Data['csuidemo']=$this->_csstyle["csuidemo"];

    $Data['csvalidate']=$this->_csstyle["csvalidate"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

            $Data['Jry']=$this->_jss['jquery'];
           $Data['Jqui']=$this->_jss['jqueryui'];
        $Data['Jquical']=$this->_jss['jquerycal'];

      $Data['jvalidate']=$this->_jss['jvalidate'];

 $Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
 $Data['jFicha_editPre']=$this->_jss['jFicha_editPre'];//Funciones principales de Editar Pre Pedidos
 $Data['jFicha_pedidos']=$this->_jss['jFicha_pedidos'];
 $Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));


       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

      $Conte['Categoria']=$this->uri->segment(1);

   $Conte["Cotizaciones"]=$this->modeloclientes->getByCotizacionAndDetallesPedidoOrden($Idct);
            $Cotizaciones=$Conte["Cotizaciones"];

  $Conte["EmpresaPropia"]=$this->_Variables[0]["nombre_empresa"];
          $Conte["Serie"]=$Cotizaciones["serie"];
         $Conte["Existe"]=$Existe;

                   $Datos=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
      $Conte["dclientes"]=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
            $Conte["IDC"]=$Cotizaciones["Id_cliente"];

            $Conte["IVA"]=$Cotizaciones['iva'];
     $Conte["Descuentos"]=$Cotizaciones['descuentos'];

     $Conte["Productos"]=$this->modeloinventario->getDatosProductosPedidos($Cotizaciones['serie']);
   $Conte["NoProductos"]=$this->modeloinventario->getDatosProductosPedidosCout($Cotizaciones['serie']);


  $this->load->view("clientes/ficha/detallespedido",$Conte);

  $this->load->view("pie",$Data);


}

//************** Para Editar la Orden de Venta *****************************************
//***************************************************************************************
public function editorden($Idct){

     $Data['title']= "Panel de Administración";
 $Data['cassadmin']=$this->_csstyle["cassadmin"];
    $Data['csmenu']=$this->_csstyle["csmenu"];

	  $Data['csui']=$this->_csstyle["csui"];
      //$Data['csuidemo']=$this->_csstyle["csuidemo"];

    $Data['csvalidate']=$this->_csstyle["csvalidate"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

            $Data['Jry']=$this->_jss['jquery'];
           $Data['Jqui']=$this->_jss['jqueryui'];
        $Data['Jquical']=$this->_jss['jquerycal'];

      $Data['jvalidate']=$this->_jss['jvalidate'];

 $Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
  $Data['jFicha_cotiza']=$this->_jss['jFicha_cotiza'];
  $Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));


       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

      $Conte['Categoria']=$this->uri->segment(1);

   $Conte["Cotizaciones"]=$this->modeloclientes->getByCotizacionAndDetallesVentaOrden($Idct);
            $Cotizaciones=$Conte["Cotizaciones"];

          $Conte["Serie"]=$Cotizaciones["serie"];

                   $Datos=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
      $Conte["dclientes"]=$this->modeloclientes->getNameCliente($Cotizaciones["Id_cliente"]);
            $Conte["IDC"]=$Cotizaciones["Id_cliente"];

            $Conte["IVA"]=$Cotizaciones['iva'];
     $Conte["Descuentos"]=$Cotizaciones['descuentos'];

     $Conte["Productos"]=$this->modeloinventario->getDatosProductosCotiza($Cotizaciones['serie']);
   $Conte["NoProductos"]=$this->modeloinventario->getDatosProductosCotizaCout($Cotizaciones['serie']);


  $this->load->view("clientes/ficha/EditarOrdeCompra",$Conte);

  $this->load->view("pie",$Data);

}//

public function saveEditarOrdenCompra(){

if(!empty($_POST)){

  if($this->modeloinventario->EditarOrdenCompra() != NULL){
      $this->session->set_flashdata('message', array('messageType' => 'success','Message' => 'Se modifico correctamente la orden de compra.'));
   }else{
      $this->session->set_flashdata('message', array('messageType' => 'error','Message' => 'Ocurrio un error al modificar la orden de compra'));
    }//else
  redirect('clientes/ficha/'.$this->input->post('id_cli')."/", 'refresh');

 }//$_POST
 else {
  redirect('clientes/', 'refresh');
 }//else

}//saveEditarOrdenCompra

public function DeleteCotizacionOrden(){

 if(!empty($_POST)){
        $Idct=$this->input->post('Idct');
      if($this->modeloinventario->DeleteCotizacionOrden($Idct)!=NULL){
          print("1");
      }//Eliminar
     else{
         print("0");
     } //else de deletecotizacion
    }//POST
   else{
    print("0");
   }//

}

public function ordcompra($Id_cliente,$Limite=0){

     $Data['title']= "Panel de Administración";
 $Data['cassadmin']=$this->_csstyle["cassadmin"];
    $Data['csmenu']=$this->_csstyle["csmenu"];
$Data['csvalidate']=$this->_csstyle["csvalidate"];

	  $Data['csui']=$this->_csstyle["csui"];
      //$Data['csuidemo']=$this->_csstyle["csuidemo"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

                 $Data['Jry']=$this->_jss['jquery'];
                $Data['Jqui']=$this->_jss['jqueryui'];

$Data['JFuntComprasProveedores']=$this->_jss['JFuntComprasProveedores'];
$Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));

       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

               $Id_Cliente_URL=$this->uri->segment(3);

          $Conte["Id_cliente"]=$Id_cliente;

 //Configurar Paginado

   // First Links
$Pag['first_link'] = 'Inicio';
$Pag['first_tag_open'] = '<li>';
$Pag['first_tag_close'] = '</li>';

// Last Links
$Pag['last_link'] = 'Fin';
$Pag['last_tag_open'] = '<li>';
$Pag['last_tag_close'] = '</li>';

// Next Link
$Pag['next_link'] = '&raquo;';
$Pag['next_tag_open'] = '<li>';
$Pag['next_tag_close'] = '</li>';

// Previous Link
$Pag['prev_link'] = '&laquo;';
$Pag['prev_tag_open'] = '<li>';
$Pag['prev_tag_close'] = '</li>';

// Current Link
$Pag['cur_tag_open'] = '<li class="active">';
$Pag['cur_tag_close'] = '</li>';

// Digit Link
$Pag['num_tag_open'] = '<li>';
$Pag['num_tag_close'] = '</li>';



//***********************************************

          $Pag["base_url"]= base_url()."ficha/ordcompra/".$Id_cliente."/";
        $Pag["total_rows"]=$this->modeloclientes->getCotizacionByClienteCOUT($Id_cliente);//Total de Registros
          $Pag["per_page"]=10;
         $Pag["num_links"]=5;

        $this->pagination->initialize($Pag);

        $Conte['Cotizaciones'] = $this->modeloclientes->getCotizacionByCliente($Id_cliente,$Pag["per_page"],$Limite);

        $Conte['inicio']  = $Limite;
  	           $num_r = count($Conte['Cotizaciones']);
	$Conte['per_page']= $num_r;


// NUM, LIMITE getCotizacionByClienteCOUT($Id_cliente)
 //$Conte['Cotizaciones']=$this->modeloclientes->getCotizacionByCliente($Id_cliente,"0","10");
    $Conte["dclientes"]=$this->modeloclientes->getNameCliente($Id_cliente);

//*************************************************************
    $this->load->view("clientes/ficha/compras_index",$Conte);

    $this->load->view("pie",$Data);

}//Orden de Compra

//**********************************************************
//**********************************************************
	public function documentos($Idc)
	{
		$Data['title']= "Panel de Administración";
		$Data['cassadmin']=$this->_csstyle["cassadmin"];
		$Data['csmenu']=$this->_csstyle["csmenu"];
		$Data['csvalidate']=$this->_csstyle["csvalidate"];
		
		$Data['csui']=$this->_csstyle["csui"];
		////$Data['csuidemo']=$this->_csstyle["csuidemo"];
		
		$Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']=$this->_fechaActual;
		
		$Data['Jry']=$this->_jss['jquery'];
		$Data['Jqui']=$this->_jss['jqueryui'];
		$Data['jvalidate']=$this->_jss['jvalidate'];
		
		$Data['jUploadAjax']=$this->_jss['jUploadAjax'];
		
		$Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
		$Data['jFicha_Documentos']=$this->_jss['jFicha_Documentos'];
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		$Conte['Categoria']=$this->uri->segment(1);
		
		$Datos=$this->modeloclientes->getNameCliente($Idc);
		$Conte["Cotizaciones"]=$this->modeloclientes->getCotizacionByClienteLista($Idc);
		
		$Conte["dclientes"]=$this->modeloclientes->getNameCliente($Idc);
		$Conte["IDC"]=$Idc;
		
		// First Links
		$Pag['first_link'] = 'Inicio';
		$Pag['first_tag_open'] = '<li>';
		$Pag['first_tag_close'] = '</li>';
		
		// Last Links
		$Pag['last_link'] = 'Fin';
		$Pag['last_tag_open'] = '<li>';
		$Pag['last_tag_close'] = '</li>';
		
		// Next Link
		$Pag['next_link'] = '&raquo;';
		$Pag['next_tag_open'] = '<li>';
		$Pag['next_tag_close'] = '</li>';
		
		// Previous Link
		$Pag['prev_link'] = '&laquo;';
		$Pag['prev_tag_open'] = '<li>';
		$Pag['prev_tag_close'] = '</li>';
		
		// Current Link
		$Pag['cur_tag_open'] = '<li class="active">';
		$Pag['cur_tag_close'] = '</li>';
		
		// Digit Link
		$Pag['num_tag_open'] = '<li>';
		$Pag['num_tag_close'] = '</li>';
		
		$Pag["base_url"]= base_url()."ficha/PaginacionDoc";
		$Pag["total_rows"]=$this->modelodocumento->coutDocumentos();//Total de Registros
		$Pag["per_page"]=5;
		$Pag["num_links"]=5;
		
		$this->pagination->initialize($Pag);
		
		$Conte["Documentos"]=$this->modelodocumento->get_AllPagDocumentos($Pag["per_page"],0);
		
		$Conte['CotizaNombres']=$this->modeloclientes->getCotizacionByClienteLista($Idc);
		
		$Conte['inicio']  = 0;
		$num_r = count($Conte['Documentos']);
		$Conte['per_page']= $num_r;
		
		$this->load->view("clientes/ficha/ListDocumentos",$Conte);
		
		$this->load->view("pie",$Data);
	}

public function PaginacionDoc($Limite=0){

    // First Links
$Pag['first_link'] = 'Inicio';
$Pag['first_tag_open'] = '<li>';
$Pag['first_tag_close'] = '</li>';

// Last Links
$Pag['last_link'] = 'Fin';
$Pag['last_tag_open'] = '<li>';
$Pag['last_tag_close'] = '</li>';

// Next Link
$Pag['next_link'] = '&raquo;';
$Pag['next_tag_open'] = '<li>';
$Pag['next_tag_close'] = '</li>';

// Previous Link
$Pag['prev_link'] = '&laquo;';
$Pag['prev_tag_open'] = '<li>';
$Pag['prev_tag_close'] = '</li>';

// Current Link
$Pag['cur_tag_open'] = '<li class="active">';
$Pag['cur_tag_close'] = '</li>';

// Digit Link
$Pag['num_tag_open'] = '<li>';
$Pag['num_tag_close'] = '</li>';

if(!empty ($_POST)){

    if($this->input->post('T1')=="all"){

          $Pag["base_url"]= base_url()."ficha/PaginacionDoc";
        $Pag["total_rows"]=$this->modelodocumento->coutDocumentos();//Total de Registros
          $Pag["per_page"]=5;
         $Pag["num_links"]=5;

        $this->pagination->initialize($Pag);

     $Datos['Documentos'] = $this->modelodocumento->get_AllPagDocumentos($Pag["per_page"],$Limite);

         $Id_C=$this->input->post('idc');

             if($Id_C!=""){
              $IDC=$this->input->post('idc');
            }else{
              $IDC=$this->uri->segment(3);
            }
    $Datos['CotizaNombres']=$this->modeloclientes->getCotizacionByClienteLista($IDC);

        $Datos['inicio']  = $Limite;
  	           $num_r = count($Datos['Documentos']);
	$Datos['per_page']= $num_r;

    }//Muestra todos de la lista
    else
       if($this->input->post('T1')=="pag"){

          $Pag["base_url"]= base_url()."clientes/ListCotizaciones";
        $Pag["total_rows"]=$this->modelodocumento->coutDocumentos();//Total de Registros
          $Pag["per_page"]=5;
         $Pag["num_links"]=5;

        $this->pagination->initialize($Pag);

        $Datos['Documentos'] = $this->modelodocumento->get_AllPagDocumentos($Pag["per_page"],$Limite);

        $Id_C=$this->input->post('idc');

             if($Id_C!=""){
              $IDC=$this->input->post('idc');
            }else{
              $IDC=$this->uri->segment(3);
            }
        $Datos['CotizaNombres']=$this->modeloclientes->getCotizacionByClienteLista($IDC);


        $Datos['inicio']  = $Limite;
                   $num_r = count($Datos['Documentos']);
        $Datos['per_page']= $num_r;

     }//Pag

}//Fin del POST

$this->load->view("clientes/ficha/ListDocumentos",$Datos);


}//Lista de Cotizaciones


public function SaveNewDocumento(){

 if($_POST){
    if($this->modelodocumento->SetNewDocumento() != NULL){
      $this->session->set_flashdata('message', array('messageType' => 'success','Message' => 'Se registro correctamente el documento'));
   }else{
      $this->session->set_flashdata('message', array('messageType' => 'error','Message' => 'Ocurrio un error al guardar el documento.'));
    }//else
    redirect('ficha/documentos/'.$this->input->post('id_cli'), 'refresh');
 }//$_POST
 else {
    redirect('clientes/', 'refresh');
 }//else


}

public function uploadArchivo($tam = NULL){

       $config['upload_path']= ROOTPATH.'/media/documento/';
     $config['allowed_types']= 'xlsx|xls|xlsm|xlsb|xltx|xltm|xlt|xml|pdf|doc|docx';
          $config['max_size']= '10000';
     $config['encrypt_name'] = TRUE;

    $this->load->library('upload', $config);

    if ( ! $this->upload->do_upload()){

            $error = array('error' => $this->upload->display_errors());
            echo "Error al cargar el archivo ".$config['upload_path'].$error['error'];

    }//Fin del IF
    else{
                 $data = array('upload_data' => $this->upload->data());
            $FileExcel = $data['upload_data']['file_name'];
             $FileTipo = $data['upload_data']['file_type'];
             $FileTama = $data['upload_data']['file_size'];

             $Files=$FileExcel."^".$FileTipo."^".$FileTama;

            print('<input type="hidden" name="ArchivoExcel" id="ArchivoExcel" value="'.$Files.'"/>');

    }//Else
}//uploadArchivo

private function delete_file($hash) {
    $path = ROOTPATH.'/media/documento/';
     unlink($path.$hash);
}

	public function pagos($Id_cotiza)
	{
		$Data['title']= "Panel de Administración";
		$Data['cassadmin']=$this->_csstyle["cassadmin"];
		$Data['csmenu']=$this->_csstyle["csmenu"];
		$Data['csvalidate']=$this->_csstyle["csvalidate"];
		
		$Data['csui']=$this->_csstyle["csui"];
		////$Data['csuidemo']=$this->_csstyle["csuidemo"];
		
		$Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']=$this->_fechaActual;
		
		$Data['Jry']=$this->_jss['jquery'];
		$Data['Jqui']=$this->_jss['jqueryui'];
		
		$Data['JFuntPagClien']=$this->_jss['JFuntPagClien'];
		$Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		$Conte['Categoria']=$this->uri->segment(1);
		
		$Conte["Id_cotiza"]=$Id_cotiza;
		
		$Conte['Cotizaciones']=$this->modeloclientes->getByCotizacionAndDetallesVentaOrden($Id_cotiza);
		$Datos=$Conte['Cotizaciones'];
		$Conte["dclientes"]=$this->modeloclientes->getNameCliente($Datos['Id_cliente']);
		//$Conte['Pagos']=$this->modeloclientes->getByPagos($Datos['iddv']);
		
		$Conte['Pagos']=$this->modeloclientes->obtenerPagos($Datos['iddv']);
		
		$Conte['totalPagado']=$this->modeloclientes->obtenerPagado($Datos['iddv']);
		
		$Conte['Bancos']=$this->modelobancos->getAll();
		
		$this->load->view("clientes/ficha/pagos_cliente",$Conte);
		
		$this->load->view("pie",$Data);
	}
	


	public function pagosave()
	{
		$Datos=$this->modeloclientes->getPagosSave($this->input->post('T5'));
	
		   foreach($Datos as $Dato)
		   {
			  $A=Sprintf("%.0f",trim($Dato['anticipo']));
			   $B=Sprintf("%.0f",trim($Dato['saldo_final']));
	
			   //*****0 ***** 1 **** 2
			   print("1"."@".$A."@".$B);
		   }//foreach de datos
	}//pagosave

public function pagoshistorico(){

$Pagos=$this->modeloclientes->getByPagosHistorico($this->input->post('T5'));

$Cotizaciones=$this->modeloclientes->getByCotizacionAndDetallesVenta($this->input->post('TIdc'));

print('
<table class="admintable" width="99%;" >
<thead>
<th style="width:130px;">Fecha Hora/Pago</th>
<th>Forma de pago</th>
<th>Tarjeta</th>
<th>No.Cheque</th>
<th>Banco</th>
<th>Plazo de pago</th>
<th style="width:130px;">Pago</th>


</thead>

<tbody>');

foreach($Pagos as $Pago){

 $link_factura ='<a title="Facturar" href="'.base_url().'factura/ver/'.$Cotizaciones['Id_cliente'].'/'.$Cotizaciones['idct'].'">
                 <img src="'.base_url().'img/list_ch.png" width="18px" height="18px" alt="Facturar" border="0"/>
                </a>';

print('
<tr>
<td align="center" valign="middle">'.$Pago['fecha_pago'].' '.$Pago['hora_pago'].' </td>
<td align="center" valign="middle">'.$Pago['forma_pago'].' </td>
<td align="center" valign="middle">'.$Pago['tarjeta'].' </td>
<td align="center" valign="middle">'.$Pago['num_cheque'].' </td>
<td align="center" valign="middle">'.$Pago['banco'].' </td>
<td align="center" valign="middle">'.$Pago['plazo_pago'].' </td>
<td align="center" valign="middle">$ '.number_format($Pago['pago'],2).' </td>

</tr>
');

}//Fin del Foreach

print('
</tbody>
</table>
');


}//pagoshistorico


// Lista de productos y proveedores

public function ListaProductosProveedores(){

  if(!empty ($_POST)){

      $Datos=$this->modeloinventario->getDatosProductosCotiza($this->input->post("Serie"));

       if($Datos!=NULL){
           $Data["Productos"]=$Datos;
          $this->load->view("clientes/ficha/compra_productos_proveedores",$Data);

       }//If
     else{
       print("0");
     }//Else

   }//*** IF
  else{
    print("0");
  }
}//Fin de ListaProductosProveedores

//********* Buscar Referencia *************
function BuscarReferencia(){

  if(!empty($_POST)){

      $this->load->helper('fecha');//Funciones para convertir Moneda y Fechas

            $Retorna="";
             $Precio="";
               $Tipo="";
   $DatosEncontrados=$this->modeloinventario->BusquedaReferencia();
           $Clientes=$this->modeloclientes->getAllCliente($this->input->post("Idc"));

      $DatosEnsamble=$this->modeloinventario->BusquedaReferenciaEnsamble($this->input->post("T1"));

      if($DatosEncontrados!=NULL){

          switch($Clientes['id_precio']){

           case "1":
                     $Precio=$DatosEncontrados["precio_a"];
                     $PreConv=ConvertirMonedas("EUR",$DatosEncontrados["moneda"],$DatosEncontrados["precio_a"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEncontrados["precio_a"]==""){
                     $Precio=0;
                     $PreConv=0;
                     }//IFF
                     $Tipo="A";
                     break;
           case "2":
                     $Precio=$DatosEncontrados["precio_b"];
                     $PreConv=ConvertirMonedas("EUR",$DatosEncontrados["moneda"],$DatosEncontrados["precio_b"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEncontrados["precio_b"]==""){
                     $Precio=0;
                     $PreConv=0;
                     }//IFF
                     $Tipo="B";
                     break;
           case "3":
                     $Precio=$DatosEncontrados["precio_c"];
                     $PreConv=ConvertirMonedas("EUR",$DatosEncontrados["moneda"],$DatosEncontrados["precio_c"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEncontrados["precio_c"]==""){
                     $Precio=0;
                     $PreConv=0;
                     }//IFF
                     $Tipo="C";
                     break;

          }//switch

          $Cantidad=1;
           $Importe=$Cantidad*$PreConv;//[0];
        //********  referencia      | cantidad      | descripcion  | Precio | Tipo |   Importe | idp | normal | Moneda | Precio convertido
 $Retorna=$this->input->post("T1")."^".$Cantidad."^".$DatosEncontrados["descripcion"]."^".$Precio."^".$Tipo;
$Retorna.="^".$Importe."^".$DatosEncontrados["referencia"]."^"."normal"."^".$DatosEncontrados["moneda"]."^".$PreConv."^".$DatosEncontrados["impuesto"]."^".$DatosEncontrados["descuento"]."^".$DatosEncontrados['ubicacion'];

      }//Datos encontrados
     else //En caso de no haber encontrado el producto lo busca en los ensambles
	    if($DatosEnsamble!=NULL){

	    switch($Clientes['id_precio']){

           case "1": $Precio=$DatosEnsamble["precio_a"];
                     $PrecioConv=ConvertirMonedas("EUR",$DatosEnsamble["moneda"],$DatosEnsamble["precio_a"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEnsamble["precio_a"]==""){
                     $Precio=0;
                     $PrecioConv=0;
                     }//IFF
                     $Tipo="A";
                     break;

           case "2":     $Precio=$DatosEnsamble["precio_b"];
                     $PrecioConv=ConvertirMonedas("EUR",$DatosEnsamble["moneda"],$DatosEnsamble["precio_b"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEnsamble["precio_b"]==""){
                     $Precio=0;
                     $PrecioConv=0;
                     }//IFF
                     $Tipo="B";
                     break;

           case "3":     $Precio=$DatosEnsamble["precio_c"];
                     $PrecioConv=ConvertirMonedas("EUR",$DatosEnsamble["moneda"],$DatosEnsamble["precio_c"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEnsamble["precio_c"]==""){
                     $Precio=0;
                     $PrecioConv=0;
                     }//IFF
                     $Tipo="C";
                     break;

          }//switch

          $Cantidad=1;
           $Importe=$Cantidad*$PrecioConv;//[0];
                    //********  referencia      | cantidad      | descripcion  | Precio | Tipo |   Importe | idp | normal | Moneda | Precio convertido
          $Retorna=$this->input->post("T1")."^".$Cantidad."^".$DatosEnsamble["nombre"]."^".$Precio."^".$Tipo."^".$Importe;
         $Retorna.="^".$DatosEnsamble["nombre"]."^"."ensamble"."^".$DatosEnsamble["moneda"]."^".$PreConv;

      }//else

      if($Retorna==""){
          print(0);
      }else{
        print($Retorna);
      }

  }//Fin del empty
  else{
        print("0");
  }

}//BuscarReferencia


function MuetraLaListaProductosAdd(){

  if(!empty($_POST)){

      $LisP=$this->input->post('idp');//Idp de los productos
     $Serie=$this->input->post('id_s');//serie
   $LisCant=$this->input->post('Cant');//Cantidad de cada producto
   $LisRefe=$this->input->post('Refe');//No. de Referencia por cada producto
        $No=$this->input->post('No');//Indice
       $Idc=$this->input->post('idc');//Id del cliente

    $Moneda=$this->input->post('Moneda');//Id del cliente

     $Clientes=$this->modeloclientes->getAllCliente($Idc);

     $HTML="";

  foreach($LisP as $Idp){

     //Cantidad
    foreach ($LisCant as $Cant){
       $Val=explode("^",$Cant);

         if($Val[0]==$Idp){
             $Cantidad=$Val[1];
          }// Compara si hay cantidad
      }//Foreach de Cantidad

    foreach ($LisRefe as $Refe){
       $Val=explode("^",$Refe);

         if($Val[0]==$Idp){
           $Referencia=$Val[1];
          }// Compara si hay Referencia
      }//Foreach de Referencia

  $DatosEncontrados=$this->modeloinventario->getAllProveedor($Idp);

       switch($Clientes['id_precio']){

           case "1":
                     $Precio=$DatosEncontrados["precio_a"];
                     #$PreConv=ConvertirMonedas($Moneda,$DatosEncontrados["moneda"],$DatosEncontrados["precio_a"],$this->_Variables[0]["dolar"],$this->_Variables[0]["pesos"],$this->_Variables[0]["factor"]);
					 $PreConv=$Precio;
                     if($DatosEncontrados["precio_a"]==""){
                     $Precio=0;
                     $PreConv=0;
                     }//IFF
                     $Tipo="A";
                     break;
           case "2":
                     $Precio=$DatosEncontrados["precio_b"];
                     #$PreConv=ConvertirMonedas($Moneda,$DatosEncontrados["moneda"],$DatosEncontrados["precio_b"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEncontrados["precio_b"]==""){
                     $Precio=0;
                     $PreConv=0;
                     }//IFF
                     $Tipo="B";
                     break;
           case "3":
                     $Precio=$DatosEncontrados["precio_c"];
                     #$PreConv=ConvertirMonedas($Moneda,$DatosEncontrados["moneda"],$DatosEncontrados["precio_c"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEncontrados["precio_c"]==""){
                     $Precio=0;
                     $PreConv=0;
                     }//IFF
                     $Tipo="C";
                     break;
          }//switch

               $Importe=$Cantidad*$Precio;//[0];
			   //
            //********  referencia      | cantidad      | descripcion  | Precio | Tipo |   Importe | idp | normal | Moneda | Precio convertido
     $Retorna=$this->input->post("T1")."^".$Cantidad."^".$DatosEncontrados["descripcion"]."^".$Precio."^".$Tipo;
    $Retorna.="^".$Importe."^".$DatosEncontrados["referencia"]."^"."normal"."^".$DatosEncontrados["moneda"]."^".$PreConv;


    $OnclickQuitar="RemoveFilaProducto('".$No."','rows_');";
           $Imagen=base_url()."img/unchecked.gif";

       $OnclickTpo="cambiarPrecioTipo('".$No."');";
       $SelectTipo='<select class="cajas" style="width:50px" id="id_tpo_'.$No.'" name="id_tpo_'.$No.'" onchange="'.$OnclickTpo.'" >';

       $SelectTipo.='<option value="'.$DatosEncontrados["precio_a"].'">A</option>';
       $SelectTipo.='<option value="'.$DatosEncontrados["precio_b"].'">B</option>';
       $SelectTipo.='<option value="'.$DatosEncontrados["precio_c"].'">C</option>';

       $SelectTipo.='</select>';

       $OnClickSemana="AddFechaSemanas('".date("d-m-Y")."','".$No."')";

//number_format($PreConv,2)
       
   // $SelectSemana='<input type="text" name="FechaAumentada'.$No.'" id="FechaAumentada'.$No.'" class="cajas" style="width:65%;" value="'.$DatosEncontrados["ubicacion"].'" />';
    //$SelectSemana.='<label id="FechaLabSem'.$No.'" class="cajas" style="display:none;float:left;width:49%;">'.date("Y-m-s").'</label>';


    $HTML.='<tr id="rows_'.$No.'">';
    $HTML.='<td align="center" valign="middle"><img src="'.$Imagen.'" onclick="'.$OnclickQuitar.'" width="12"';
    $HTML.='alt="Quitar de la lista" title="Quitar de la lista" style="cursor:pointer;" /> </td>';

   
    $HTML.='<td align="center" valign="middle">';
    $HTML.='<input type="text" name="id_canti_'.$No.'" alt="'.$No.'" id="id_canti_'.$No.'" value="'.$Cantidad.'"  ';
    $HTML.='class="cajas" style="width:90%;" alt="'.$No.'"  onkeyup="calcular_importe_rowCant(this,'."$No".');" /></td>';
 
    $HTML.='<td align="center" valign="middle">';
    $HTML.='<textarea name="id_descr_'.$No.'" alt="'.$No.'" id="id_descr_'.$No.'" class="TextArea" cols="16" rows="1">'.$DatosEncontrados['descripcion'].'</textarea>';
    $HTML.='</td>';

    /*$HTML.='<td align="left" valign="middle">';
    $HTML.=$SelectSemana;
    $HTML.='</td>';*/

   $HTML.='<td align="center" valign="middle">'.$SelectTipo;
   $HTML.='</td>';
//   $HTML.='<input type="text"   name="TBuscarReferencia" id="id_precio_'.$No.'"  value="'.number_format($PreConv,2).'" class="cajas" style="width:60%;"/>';
    $HTML.='<td align="left" valign="middle"><label id="id_mone_'.$No.'">'.'</label>';
   //abajo reemplazar la linea por un input
  //$HTML.='<label id="id_precio_'.$No.'">'.number_format($PreConv,2).'</label>';
 $HTML.='<input type="text" name="id_precio_'.$No.'" onkeyup="calcular_importe_rowCant(this,'."$No".');" 
  id="id_precio_'.$No.'"  value="'.number_format($Precio,2).'" class="cajas" style="width:60%;" 
  />';

    $HTML.='<input type="hidden" name="id_moneNormal_'.$No.'"  id="id_moneNormal_'.$No.'"   value="'.$DatosEncontrados["moneda"].'"  />';
    $HTML.='<input type="hidden" name="id_precioNormal_'.$No.'" id="id_precioNormal_'.$No.'"  value="'.$Precio.'"  />';

    $HTML.='<input type="hidden" name="id_mone_n_'.$No.'" id="id_mone_n_'.$No.'" value="'.$DatosEncontrados["moneda"].'"  />';
    $HTML.='<input type="hidden" name="id_precio_conver_'.$No.'" id="id_precio_conver_'.$No.'" value="'.$PreConv.'"  />';
    $HTML.='</td>';

    $HTML.='<td align="center" valign="middle">';
    $HTML.='<label id="id_Moneda_'.$No.'">'.'</label>';
    $HTML.='<label id="id_precio_t_impor_'.$No.'">'.number_format($Importe,2).'</label>';
    $HTML.='<input type="hidden" name="id_moneda_t_'.$No.'"id="id_moneda_t_'.$No.'" alt="'.$No.'" value="'.$Moneda.'" />';
    $HTML.='<input type="hidden" name="id_precio_t_'.$No.'"id="id_precio_t_'.$No.'" alt="'.$No.'" value="'.$Importe.'"/>';

    $HTML.='<input type="hidden" name="id_p_'.$No.'"id="id_p_'.$No.'" alt="'.$No.'" value="'.$DatosEncontrados['id'].'" /></td>';

    $HTML.='</tr>';


      $No++;//Indice

     }//Fin de la lista de productos del Foreach

     print($HTML);

    }//POST
else{
    print("0");
}


}//MuetraLaListaProductosAdd


public function CambiarPreciosByTipo(){

    if(!empty($_POST)){

        $this->load->helper('fecha');//Trabajando con Fechas

     $DatosEncontrados=$this->modeloinventario->BusquedaReferenciaByProducto($this->input->post("refe"));
        $DatosEnsamble=$this->modeloinventario->BusquedaReferenciaEnsamble($this->input->post("refe"));
                 $Tipo=$this->input->post("Tpo");
             $Cantidad=intval($this->input->post("cant"));
   			   $Moneda=$this->input->post("Moneda");

              $Retorna="";

       if($DatosEncontrados!=NULL){

           switch($Tipo){

               case "A":
                        $Precio=$DatosEncontrados["precio_a"];
$PreConv=ConvertirMonedas($Moneda,$DatosEncontrados["moneda"],$DatosEncontrados["precio_a"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                          if($DatosEncontrados["precio_a"]==""){
                              $Precio=0;
                             $PreConv=0;
                          }//IFF
                           $Tipo="A";
                         break;
               case "B":
                         $Precio=$DatosEncontrados["precio_b"];
$PreConv=ConvertirMonedas($Moneda,$DatosEncontrados["moneda"],$DatosEncontrados["precio_b"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                          if($DatosEncontrados["precio_b"]==""){
                              $Precio=0;
                             $PreConv=0;
                          }//IFF
                           $Tipo="B";

                        break;
               case "C":
                         $Precio=$DatosEncontrados["precio_c"];
$PreConv=ConvertirMonedas($Moneda,$DatosEncontrados["moneda"],$DatosEncontrados["precio_c"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                          if($DatosEncontrados["precio_c"]==""){
                              $Precio=0;
                             $PreConv=0;
                          }//IFF
                           $Tipo="C";
                         break;
               }//Switch

           //Se realizan las operaciones

           $Importe=$Cantidad*$PreConv;//[0];
         //********  referencia      | cantidad      | descripcion  | Precio | Tipo |   Importe | idp | normal | Moneda | Precio convertido
            $Retorna=$this->input->post("refe")."^".$Cantidad."^".$DatosEncontrados["descripcion"]."^".$Precio."^".$Tipo;
           $Retorna.="^".$Importe."^".$DatosEncontrados["referencia"]."^"."normal"."^".$DatosEncontrados["moneda"]."^".$PreConv;

          //********************************************************************
        }else
            if($DatosEnsamble!=NULL){

           switch($Tipo){

           case "A":     $Precio=$DatosEnsamble["precio_a"];
                     $PrecioConv=ConvertirMonedas($Moneda,$DatosEnsamble["moneda"],$DatosEnsamble["precio_a"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEnsamble["precio_a"]==""){
                     $Precio=0;
                     $PrecioConv=0;
                     }//IFF
                     $Tipo="A";
                     break;

           case "B":     $Precio=$DatosEnsamble["precio_b"];
                     $PrecioConv=ConvertirMonedas($Moneda,$DatosEnsamble["moneda"],$DatosEnsamble["precio_b"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEnsamble["precio_b"]==""){
                     $Precio=0;
                     $PrecioConv=0;
                     }//IFF
                     $Tipo="B";
                     break;

           case "C":     $Precio=$DatosEnsamble["precio_c"];
                     $PrecioConv=ConvertirMonedas($Moneda,$DatosEnsamble["moneda"],$DatosEnsamble["precio_c"],$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]);
                     if($DatosEnsamble["precio_c"]==""){
                     $Precio=0;
                     $PrecioConv=0;
                     }//IFF
                     $Tipo="C";
                     break;
                 }//Fin del Switch

                 //Opereaciones
                 $Importe=$Cantidad*$PrecioConv;//[0];
                 //********  referencia      | cantidad      | descripcion  | Precio | Tipo |   Importe | idp | normal | Moneda | Precio convertido
                 $Retorna=$this->input->post("refe")."^".$Cantidad."^".$DatosEnsamble["nombre"]."^".$Precio."^".$Tipo."^".$Importe;
                $Retorna.="^".$DatosEnsamble["nombre"]."^"."ensamble"."^".$DatosEnsamble["moneda"]."^".$PreConv;
                 //***************
            }//Ensamble

      if($Retorna==""){
          print("0");
      }else{
        print($Retorna);
      }

    }//POST
   else{
     print("0");
   }

}//Cambiar Precios deacuerdo al Tipo

//*********************************************************
public function retornaFechaSumada(){

if(!empty($_POST)){

 $Fecha=$this->input->post("date");
  $Dias=$this->input->post("dias")*7;

 $this->load->helper('fecha');//Trabajando con Fechas

print(suma_fechas($Fecha,$Dias));

}//Fin de !empty

}//RetornaFecha

//Lista de productos para cotizacion

public function mensajeria($Idct){

     $Data['title']= "Panel de Administración";
 $Data['cassadmin']=$this->_csstyle["cassadmin"];
    $Data['csmenu']=$this->_csstyle["csmenu"];

	  $Data['csui']=$this->_csstyle["csui"];
      //$Data['csuidemo']=$this->_csstyle["csuidemo"];

    $Data['csvalidate']=$this->_csstyle["csvalidate"];


   $Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
  $Data['Fecha_actual']=$this->_fechaActual;

            $Data['Jry']=$this->_jss['jquery'];
           $Data['Jqui']=$this->_jss['jqueryui'];
        $Data['Jquical']=$this->_jss['jquerycal'];

      $Data['jvalidate']=$this->_jss['jvalidate'];

    $Data['jMensajeria']=$this->_jss['jMensajeria'];


       $this->load->view("cabezera",$Data);
       $this->load->view('header',$Data);
       $this->load->view("principal",$Data);

       $Conte["Cotizaciones"]=$this->modeloclientes->getByCotizacionAndDetallesPedidoOrden($Idct);

                $Cotizaciones=$Conte["Cotizaciones"];

           $Conte['Categoria']=$Cotizaciones['Id_cliente'];

              $Conte["Serie"]=$Cotizaciones["serie"];

     $Conte["Productos"]=$this->modeloinventario->getDatosProductosPedidos($Cotizaciones['serie']);

      $this->load->view("clientes/ficha/mensajeria",$Conte);

      $this->load->view("pie",$Data);



}//Fin de Mensajeria

public function CambiarMoneda(){

$MonedaConvertir=$this->input->post("MonedaConvertir");
   $MonedaNormal=$this->input->post("MonedaNormal");
         $Precio=$this->input->post("Precio");

print(ConvertirMonedas($MonedaConvertir,$MonedaNormal,$Precio,$this->_Variables[0]["dolar"],$this->_Variables[0]["euro"],$this->_Variables[0]["factor"]));

}//CambiarMoneda

public function semanasyear(){

  if(!empty($_POST)){

      $this->load->helper('fecha');//Trabajando con Fechas

      $Num=$this->input->post('Num');
     $Year=$this->input->post('Year');

      print(get_NoSemanaYeart($Num,$Year,'6'));

  }//IF

}

public function saveNewCotizar_directa()
{
if(!empty($_POST))
{
    if($this->modeloinventario->addNuevaCotiza_directa() != NULL)
	{
      $this->session->set_flashdata('message', array('messageType' => 'success','Message' => 'Se registro correctamente la venta'));
    }
   else
   {
      $this->session->set_flashdata('message', array('messageType' => 'error','Message' => 'Ocurrio un error al guardar la venta'));
   }//else
  redirect('clientes/ficha/'.$this->input->post('id_cli')."/", 'refresh');
 }//$_POST
 else 
 {
  redirect('clientes/', 'refresh');
 }//else

}//SaveNewCotizar



	public function ventas_directas($Idc)
	{
		$Data['title']= "Panel de Administración";
		$Data['cassadmin']=$this->_csstyle["cassadmin"];
		$Data['csmenu']=$this->_csstyle["csmenu"];
		
		$Data['csui']=$this->_csstyle["csui"];
		////$Data['csuidemo']=$this->_csstyle["csuidemo"];
		
		$Data['csvalidate']=$this->_csstyle["csvalidate"];
		
		$Data['nameusuario']=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']=$this->_fechaActual;
		
		$Data['Jry']=$this->_jss['jquery'];
		$Data['Jqui']=$this->_jss['jqueryui'];
		$Data['Jquical']=$this->_jss['jquerycal'];
		
		$Data['jvalidate']=$this->_jss['jvalidate'];
		
		$Data['jFicha_cliente']=$this->_jss['jFicha_cliente'];
		$Data['jFicha_cotiza']=$this->_jss['jFicha_cotiza'];
		$Data['permisos']=$this->configuracion->obtenerPermisosRol($this->session->userdata('rol'));
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		$Conte['Categoria']=$this->uri->segment(1);
		
		$Datos=$this->modeloclientes->getNameCliente($Idc);
		
		$Conte["Serie"]=$this->modeloinventario->getSerie($Data['nameusuario'],$Idc);
		
		$Conte["dclientes"]=$this->modeloclientes->getNameCliente($Idc);
		$Conte["clientes"]=$this->modeloclientes->getAll();
		
		$Conte["IDC"]=$Idc;
		
		$Conte["IVA"]=$this->_Variables[0]['iva'];
		
		$this->load->view("clientes/ficha/addCotiza_directa",$Conte);
		
		$this->load->view("pie",$Data);
		
		//********************************
	}//Cotizacion
	
	public function realizarPago()
	{
		if(!empty($_POST))
		{
			$pago=$this->modeloclientes->realizarPago();
			print($pago);
		}
	}
	
	public function obtenerCuentas($idBanco)
	{
		$cuentas=$this->modelobancos->obtenerCuentasBanco($idBanco);
		
		print('<select id="cuentasBanco" class="cajasSelect">'); 
		
		if($cuentas!=null)
		{
			foreach($cuentas as $cuenta)
			{
				print
					('
						<option value="'.$cuenta->idCuenta.'">'.
						$cuenta->cuenta.
						'</option>
					');
			}
		}
		
		else
		{
			print('<option value="0"> Seleccione</option>');
		}
		
		print('</select>');
	}
	
	public function mostrarPagos($idVenta)
	{
		$Pagos=$this->modeloclientes->obtenerPagos($idVenta);
		
		print
		('
			<table class="admintable" width="99%;" >
			<thead>
			<th style="width:130px;">Fecha Hora/Pago</th>
			<th>Forma de pago</th>
			<th>Tarjeta</th>
			<th>No.Cheque</th>
			<th>Banco</th>
			<th>Plazo de pago</th>
			<th style="width:130px;">Pago</th>
		');
		foreach($Pagos as $Pago)
		{
			print
			('
				<tr>
				<td align="center" valign="middle">'.$Pago->fecha.' </td>
				<td align="center" valign="middle">'.$Pago->formaPago.' </td>
				<td align="center" valign="middle">'.' </td>
				<td align="center" valign="middle">'.' </td>
				<td align="center" valign="middle">'.$Pago->banco.' </td>
				<td align="center" valign="middle">'.' </td>
				<td align="center" valign="middle">$ '.number_format($Pago->pago,2).' </td>
				</tr>
			');
		}
		print('</table>');
	}
	
	public function borrarPago($idPago,$idVenta)
	{
		$this->modeloclientes->borrarPago($idPago);
		redirect('ficha/pagos/'.$idVenta,'refresh');
	}
//*****************************

	public function clientesZona()
	{
		if(!empty($_POST))
		{
			$idZona=$this->input->post('idZona');
			//print($idZona);
			$clientes=$this->modeloclientes->obtenerClientesZona($idZona);
			
			echo ' <select id="id_cli" name="id_cli" class="cajas" style="width:auto" >';
			
			foreach($clientes as $cliente) 
			{
				echo '<option value="'.$cliente['id'].'">'.$cliente['empresa'].'</option>'; 
			}
			
			echo '</select>';
		}
	}
	
	public function clientesZonaProduccion()
	{
		if(!empty($_POST))
		{
			$idZona=$this->input->post('idZona');
			//print($idZona);
			$clientes=$this->modeloclientes->obtenerClientesZona($idZona);
			
			echo ' <select id="id_cli" name="id_cli" class="cajas" style="width:auto" onchange="obtenerProductosOrden()" >
			<option value="0">Todos</option>
			';
			
			foreach($clientes as $cliente) 
			{
				echo '<option value="'.$cliente['id'].'">'.$cliente['empresa'].'</option>'; 
			}
			
			echo '</select>';
		}
	}
}//Controlador

	

?>
